Package org.springframework.batch.core.step.builder

# Class StepBuilderHelper.CommonStepProperties

java.lang.Object
org.springframework.batch.core.step.builder.StepBuilderHelper.CommonStepProperties

Enclosing class:
  StepBuilderHelper<B extends StepBuilderHelper<B>>

public static class StepBuilderHelper.CommonStepProperties extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonStepProperties()`
  `CommonStepProperties(StepBuilderHelper.CommonStepProperties properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addStepExecutionListener(StepExecutionListener stepExecutionListener)`
  `void`
  `addStepExecutionListeners(List<StepExecutionListener> stepExecutionListeners)`
  `Boolean`
  `getAllowStartIfComplete()`
  `JobRepository`
  `getJobRepository()`
  `String`
  `getName()`
  `Integer`
  `getStartLimit()`
  `List<StepExecutionListener>`
  `getStepExecutionListeners()`
  `org.springframework.transaction.PlatformTransactionManager`
  `getTransactionManager()`
  `void`
  `setAllowStartIfComplete(Boolean allowStartIfComplete)`
  `void`
  `setJobRepository(JobRepository jobRepository)`
  `void`
  `setName(String name)`
  `void`
  `setStartLimit(Integer startLimit)`
  `void`
  `setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonStepProperties

    public CommonStepProperties()

  - ### CommonStepProperties

    public CommonStepProperties(StepBuilderHelper.CommonStepProperties properties)

- ## Method Details

  - ### getJobRepository

    public JobRepository getJobRepository()

  - ### setJobRepository

    public void setJobRepository(JobRepository jobRepository)

  - ### getTransactionManager

    public org.springframework.transaction.PlatformTransactionManager getTransactionManager()

  - ### setTransactionManager

    public void setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getStepExecutionListeners

    public List<StepExecutionListener> getStepExecutionListeners()

  - ### addStepExecutionListeners

    public void addStepExecutionListeners(List<StepExecutionListener> stepExecutionListeners)

  - ### addStepExecutionListener

    public void addStepExecutionListener(StepExecutionListener stepExecutionListener)

  - ### getStartLimit

    public Integer getStartLimit()

  - ### setStartLimit

    public void setStartLimit(Integer startLimit)

  - ### getAllowStartIfComplete

    public Boolean getAllowStartIfComplete()

  - ### setAllowStartIfComplete

    public void setAllowStartIfComplete(Boolean allowStartIfComplete)